Page MenuHomePhabricator

[GOAL] Roll related pages from beta on mobile web for most wikis
Closed, ResolvedPublic

Description

Based on the responses to the Related pages RFC and the discussion on the related pages talk page, a proposal is going out to roll related pages only on the mobile web and to disable on the desktop beta.

I think members of the German Wikipedia voiced an interest in not having this feature, so it will not roll out there.

We will roll out on a few wikis at a time, starting with smaller ones. If you do not want your wiki in the first batch, comment below.

Related Objects

StatusAssignedTask
ResolvedNone
Resolvedovasileva
Resolvedovasileva
InvalidNirzar
ResolvedNirzar
Resolvedphuedx
Resolvedhoo
ResolvedNirzar
Resolveddebt
Resolveddcausse
ResolvedJKatzWMF
Resolveddcausse
Resolvedphuedx
Resolvedovasileva
DuplicateNone
ResolvedMoushira
InvalidMoushira
ResolvedJhernandez
Openovasileva
Resolvedovasileva
ResolvedJdlrobson

Event Timeline

JKatzWMF created this task.May 11 2016, 6:32 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 11 2016, 6:32 PM

We have T122260 - can we please merge this into that task and update the description of it since it seems our goal has changed?

@Jdlrobson Copying @MBinder_WMF because I think the solution depends on the purpose of the 'goal' task. This task sub-goal along the broader goal to broader rollout, including desktop (T122260 ). In general, I am against taking a goal and changing the name and description after there is a history of blocked tasks and conversation, because it creates confusion. This broader goal may end up being closed because we decide not to do it, but I don't think we should change the goal simply because we are currently focusing on a sub-component. If it was a small detail, it would be different, but focusing on mobile means a different set of blockers and stakeholders. Again, if we decide not to roll out on desktop (possible), then I think we should close that task rather than renaming it.

Jdlrobson triaged this task as Normal priority.May 16 2016, 5:17 PM

@Jdlrobson @JKatzWMF I like your thinking JK. I do think it is case-by-case. In general, I would say that if the change is significant, decline the original GOAL task and make a new one, and reference them to each other. That keeps the narrative intact and still sets us on the right path.

Jdlrobson renamed this task from Roll related pages from beta on mobile web for most wikis to [GOAL] Roll related pages from beta on mobile web for most wikis .May 25 2016, 9:33 PM
JKatzWMF updated the task description. (Show Details)Jul 5 2016, 8:07 PM

@MBinder_WMF confirming that this is the new epic. I think sizing this epic is the first step towards prioritizing it. Just created T141648 to do this.

This goal card can probably be resolved during this sprint.

Jdlrobson removed a project: Reading-Web-Sprint-95.

My bad, we still need to switch from a 90% to 100% roll out which is blocked on T157307. I've updated the subtasks...

phuedx added a subscriber: phuedx.Apr 13 2017, 5:21 AM

^ I think this move is meant to read "This goal card can probably be resolved during Sprint 96 – if there is a Sprint 96!".

To be reconsidered in sprint 97

Jdlrobson raised the priority of this task from Normal to High.Apr 20 2017, 11:10 PM

I want to make sure we wrap this work up by making it a high priority. We are very close.

This card can be signed off as soon as T157307 is completed.

Jdlrobson closed this task as Resolved.Jun 2 2017, 4:36 PM

This is done!

Macro cathug: